## nostalgy 0.2.32+4real

=== Makefile ===
pack:
	./build.sh

clean:
	rm -f nostalgy.jar nostalgy.xpi *~
	(cd content; rm -f *~)


install:
	scp CHANGES frisch@frisch.fr:www/info/CHANGES_NOSTALGY
	scp content/about.xhtml frisch@frisch.fr:www/info/ABOUT_NOSTALGY.html
	scp nostalgy.xpi frisch@frisch.fr:www/info/nostalgy-current.xpi

## nostalgy 0.2.31

=== debian/changelog ===
nostalgy (0.2.31-1~deb7u1) wheezy; urgency=medium

  * Team upload
  * Drop maxVersion for Wheezy rebuild
  * Upload compatible version with recent icedove to stable
    (Closes: #746235)

 -- David Prévot <taffit@debian.org>  Thu, 29 May 2014 18:29:44 -0400

nostalgy (0.2.31-1) unstable; urgency=low

  * Team upload
  * New upstream version
  * Convert to dh short rules (Closes: #638499)
  * Convert to format 3.0 (quilt)
  * Fix RDF syntax
  * debian/control:
    - Bump standards version to 3.9.4
    - Update Vcs to canonical URI
    - Drop icedove-nostalgy references
    - Use mozilla-devscripts automatic dependencies
  * Make copyright Format 1.0 compliant
  * Add watch

 -- David Prévot <taffit@debian.org>  Tue, 08 Oct 2013 15:40:45 -0400

nostalgy (0.2.30+svn219-1) unstable; urgency=low

  * New upstream version

 -- Guido Günther <agx@sigxcpu.org>  Sun, 25 Mar 2012 13:18:03 +0200

nostalgy (0.2.27+svn211-2) unstable; urgency=low

  * Upload to unstable

 -- Guido Günther <agx@sigxcpu.org>  Mon, 09 Jan 2012 15:10:38 +0100

nostalgy (0.2.27+svn211-1) experimental; urgency=low

  * New upstream SVN snapshot to support icedove 8

 -- Guido Günther <agx@sigxcpu.org>  Sat, 12 Nov 2011 14:20:07 +0100

nostalgy (0.2.26-2) unstable; urgency=low

  * upload to unstable

 -- Guido Günther <agx@sigxcpu.org>  Sat, 02 Apr 2011 16:44:56 +0200

nostalgy (0.2.26-1) experimental; urgency=low

  * Upload to experimental
  * [e229f54] Rename source package to nostalgy
  * [2b94583] Bump standards version

 -- Guido Günther <agx@sigxcpu.org>  Fri, 14 Jan 2011 10:21:21 +0100

icedove-nostalgy (0.2.22-3) unstable; urgency=low

  * [4f9aaca] Remove icedove-3.0 link now that it has been renamed to icedove.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 22 Jan 2010 21:49:56 +0100

icedove-nostalgy (0.2.22-2) unstable; urgency=low

  * [9a43fd3] add replaces
  * [fdf255e] fix Vcs-Browser
  * [e18fb8f] Bump standards version to 3.8.3

 -- Guido Günther <agx@sigxcpu.org>  Tue, 22 Dec 2009 16:33:11 +0100

icedove-nostalgy (0.2.22-1) unstable; urgency=low

  * new upstream version
  * [8848d89] add symlink for icedove-3.0
  * [884e6ce] switch to cdbs
  * [9bab029] honor xul extension policy

 -- Guido Günther <agx@sigxcpu.org>  Fri, 18 Dec 2009 18:13:09 +0100

icedove-nostalgy (0.2.16+svn151-1) unstable; urgency=low

  * [5af9a2f] merge 0.2.16+svn151
  * [f941bae] move package over to pkg-mozext bump standards version,
    add Vcs-{Git,Browser} and Homepage

 -- Guido Günther <agx@sigxcpu.org>  Fri, 17 Apr 2009 20:38:21 +0200

icedove-nostalgy (0.2.15+svn131-2) unstable; urgency=low

  * [3334274] s/Thunderbird/Icedove/ (Closes: #471298)

 -- Guido Guenther <agx@sigxcpu.org>  Wed, 23 Jul 2008 18:31:22 -0400

icedove-nostalgy (0.2.15+svn131-1) unstable; urgency=low

  * Initial release (Closes: #470731)

 -- Guido Guenther <agx@sigxcpu.org>  Wed, 12 Mar 2008 17:57:51 +0100

=== debian/control ===
Source: nostalgy
Section: mail
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders: Guido Günther <agx@sigxcpu.org>
Build-Depends: debhelper (>= 9), mozilla-devscripts
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/pkg-mozext/nostalgy.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mozext/nostalgy.git
Homepage: http://alain.frisch.fr/soft_mozilla.html

Package: xul-ext-nostalgy
Architecture: all
Depends: ${misc:Depends}, ${xpi:Depends}
Recommends: ${xpi:Recommends}
Breaks: ${xpi:Breaks}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Description: keyboard shortcut extension for Icedove
 Nostalgy adds keyboard shortcuts to change the current folder, to move/copy
 selected messages into another folder, to add/remove/view tags; the selection
 of the target folder is made through an auto-completion box where you can type
 part of the folder name. There are also commands to improve the navigation
 between Icedove's three panes.

=== debian/watch ===
version=3
ftp://ftp.mozilla.org/pub/mozilla.org/addons/2487/nostalgy-([\d\.]*)-[a-z+]+\.xpi

## nostalgy 0.2.32+4real

=== debian/changelog ===
nostalgy (0.2.32+4real-1) unstable; urgency=medium

  * Team upload of the actual 0.2.32 version (the previous upload was
    actually a beta release)

  [ alain.frisch ]
  * Fix for TB 31. (Closes: #752870)
  * Cleanup, restore tab completion.
  * Require TB 31.

  [ David Prévot ]
  * Bump standards version to 3.9.5

 -- David Prévot <taffit@debian.org>  Sat, 09 Aug 2014 15:34:14 -0400

nostalgy (0.2.32-2) unstable; urgency=medium

  * Really upload to unstable

 -- Guido Günther <agx@sigxcpu.org>  Mon, 14 Jul 2014 14:41:39 +0200

nostalgy (0.2.32-1) wheezy; urgency=medium

  * New upstream version (Closes: #752870)
  * [85e746c] Drop 0003-Drop-maxVersion-for-Wheezy-rebuild.patch. Rebuild is
    not for wheezy.
  * [32990cf] Refresh patches

 -- Guido Günther <agx@sigxcpu.org>  Mon, 14 Jul 2014 13:08:56 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
 Uploaders: Guido Günther <agx@sigxcpu.org>
 Build-Depends: debhelper (>= 9), mozilla-devscripts
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/pkg-mozext/nostalgy.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mozext/nostalgy.git
 Homepage: http://alain.frisch.fr/soft_mozilla.html

=== debian/rules ===
#!/usr/bin/make -f
%:                                                                                                                                    
	dh $@ --with xul-ext --buildsystem=xul_ext

override_dh_auto_build:
	./build.sh
	dh_auto_build -O--buildsystem=xul_ext

override_dh_auto_install:
	install-xpi nostalgy.xpi

override_dh_clean::
	rm -rf build
	rm -f nostalgy.xpi
	dh_clean -O--buildsystem=xul_ext

## nostalgy 0.2.34

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,7 @@
 pack:
 	./build.sh
+	sort files > files.sorted
+	mv files.sorted files
 
 clean:
 	rm -f nostalgy.jar nostalgy.xpi *~

=== debian/changelog ===
nostalgy (0.2.34-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * Update Standards-Version to 3.9.8

 -- David Prévot <taffit@debian.org>  Tue, 14 Jun 2016 11:02:44 -0400

nostalgy (0.2.33-2) unstable; urgency=medium

  * Team upload
  * Drop Icedove from description
  * Update upstream VCS
  * Update Standards-Version to 3.9.7
  * Clean file regenerated at build time
  * Drop useless upstream documentation
  * Rebuild with recent mozilla-devscripts to be ready for Thunderbird

 -- David Prévot <taffit@debian.org>  Sat, 26 Mar 2016 13:02:18 -0400

nostalgy (0.2.33-1) unstable; urgency=medium

  * Team upload

  [ alain.frisch ]
  * Fix tab scrolling.

  [ David Prévot ]
  * Update watch file to new AMO layout
  * Bump standards version to 3.9.6

 -- David Prévot <taffit@debian.org>  Fri, 06 Feb 2015 18:09:52 -0400

=== debian/control ===
Source: nostalgy
Section: mail
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders: Guido Günther <agx@sigxcpu.org>
Build-Depends: debhelper (>= 9), mozilla-devscripts
Standards-Version: 3.9.8
Vcs-Git: git://anonscm.debian.org/pkg-mozext/nostalgy.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mozext/nostalgy.git
Homepage: http://alain.frisch.fr/soft_mozilla.html

Package: xul-ext-nostalgy
Architecture: all
Depends: ${misc:Depends}, ${xpi:Depends}
Recommends: ${xpi:Recommends}
Breaks: ${xpi:Breaks}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Description: keyboard shortcut extension for Thunderbird
 Nostalgy adds keyboard shortcuts to change the current folder, to move/copy
 selected messages into another folder, to add/remove/view tags; the selection
 of the target folder is made through an auto-completion box where you can type
 part of the folder name. There are also commands to improve the navigation
 between Thunderbird’s three panes.

## nostalgy 0.2.36

=== debian/changelog ===
nostalgy (0.2.36-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Make the package reproducible (thanks to lamby) (Closes: #836609)

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sun, 20 Jan 2019 12:40:00 -0500

nostalgy (0.2.36-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release, fixing TB 60 support. (Closes: #910627)
  * Fix outdated VCS entries in debian/control

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sat, 19 Jan 2019 14:09:34 -0500

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Guido Günther <agx@sigxcpu.org>
 Build-Depends: debhelper (>= 9), mozilla-devscripts
 Standards-Version: 3.9.8
-Vcs-Git: git://anonscm.debian.org/pkg-mozext/nostalgy.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mozext/nostalgy.git
+Vcs-Git: https://salsa.debian.org/webext-team/nostalgy.git
+Vcs-Browser: https://salsa.debian.org/webext-team/nostalgy
 Homepage: http://alain.frisch.fr/soft_mozilla.html
 
 Package: xul-ext-nostalgy

=== debian/rules ===
#!/usr/bin/make -f
%:                                                                                                                                    
	dh $@ --with xul-ext --buildsystem=xul_ext

override_dh_auto_build:
	$(MAKE) pack

override_dh_auto_install:
	install-xpi nostalgy.xpi

=== debian/watch ===
version=3
opts=uversionmangle=s/([^\.\d]+)/\~$1/;s/0(\d)/0.$1/g,filenamemangle=s/// \
https://addons.mozilla.org/thunderbird/addon/nostalgy/ \
.*/thunderbird/addon/2487/contribute/roadblock/\?src=[-\w]+&amp;version=([\d\.\w]+)
